<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

namespace App\Http\ApiV1\OpenApiGenerated\Enums;

/**
 * * Grant Types:
 * * `authorization_code` - Для аутентификации методом Authorization Code
 * * `password` - Для аутентификации через логин/пароль
 * * `client_credentials` - Для аутентификации клиентских приложений
 * * `refresh_token` - Для обновления токена доступа
 */
enum GrantTypeEnum: string
{
    case AUTHORIZATION_CODE = 'authorization_code';
    case PASSWORD = 'password';
    case CLIENT_CREDENTIALS = 'client_credentials';
    case REFRESH_TOKEN = 'refresh_token';
}
